org.apache.ignite.internal.processors.datastructures

## Class GridCacheSetItemKey

- java.lang.Object
- - org.apache.ignite.internal.processors.datastructures.GridCacheSetItemKey

All Implemented Interfaces:
  Externalizable, Serializable, GridCacheInternal, SetItemKey

    public class GridCacheSetItemKey
    extends Object
    implements SetItemKey, Externalizable

Set item key.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridCacheSetItemKey()` Required by `Externalizable`.

### Method Summary

Methods
`boolean` `equals(Object o)`
`int` `hashCode()`
`Object` `item()`
`void` `readExternal(ObjectInput in)`
`IgniteUuid` `setId()`
`String` `toString()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridCacheSetItemKey

    public GridCacheSetItemKey()

Required by `Externalizable`.

### Method Detail

#### setId

    public IgniteUuid setId()

Specified by:
  `setId` in interface `SetItemKey`
Returns:
  Set UUID.

#### item

    public Object item()

Specified by:
  `item` in interface `SetItemKey`
Returns:
  Set item.

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017